
my $base_entry = 'archive.pl.base';

$main::inline_plugin{"archive.pl_version"} = sub{
  'archive.pl extperimental 0.0 (2006-05-24)';
};

$main::preferences{'Minimal Backup (archive.pl)'} = [
  { desc=> 'pagename for backup',
    name=> $base_entry,
    type=> 'text',
    size=> 24,
  },
];

if( exists $main::form{p} ){
  my $fname=&main::title2fname($main::form{p});

  $main::hook_submit = sub {
    my $title = ${$_[0]};
    my $fname=&main::title2fname($title);
    my $base = $main::config{$base_entry};
    
    if( -f $fname && $base && -f &main::title2fname($base)){
      my $afbase = &main::title2fname($base, $title);
      my $afmtime = (stat($fname))[9];
      my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday) = localtime $afmtime;
      my ($l_sec, $l_min, $l_hour, $l_mday, $l_mon, $l_year, $l_wday, $l_yday) = localtime time();
      
      if (!($year == $l_year && $yday == $l_yday)) {
        my $afdate = sprintf("%04d%02d%02d", $year+1900, $mon+1, $mday);
        my $aftitle = $title . '.' . $afdate;
        my $afname = &main::title2fname($base, $aftitle);
        
        if (-f $afname) {
          chmod(0644, $afname);
          unlink $afname;
        }
        chmod(0644, $fname);
        rename $fname, $afname;
      }
    }
  };
}

1;
